<?xml version="1.0" ?>
<domain-models xmlns="http://axelor.com/xml/ns/domain-models"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://axelor.com/xml/ns/domain-models http://axelor.com/xml/ns/domain-models/domain-models_5.2.xsd">

  <module name="human-resource" package="com.axelor.apps.hr.db"/>

  <entity name="OffDayWork">
      
      <many-to-one name="employee" ref="com.axelor.apps.hr.db.Employee" mappedBy="offDaysWork"/>
      <date name="offDay" title="Off Day" required="true"/>
      <boolean name="taken" title="Taken" default="false"/>
      <many-to-one name="recuperationLeave" ref="com.axelor.apps.hr.db.RecuperationLeave" mappedBy="OffDayWorkLines"/>
      
      <unique-constraint columns="employee,offDay"/>
  </entity>
  
</domain-models>